#!/bin/bash
set -Eeuo pipefail
trap 'echo "ERROR: $BASH_SOURCE:$LINENO $BASH_COMMAND" >&2' ERR

readonly vrrp_instance="$1"

declare -r -A SERVICES=(
	[auth]='hades-auth-alternative-dns.service hades-auth-dhcp.service hades-auth-pristine-dns.service'
	[unauth]='hades-unauth-dns.service hades-unauth-http.service hades-unauth-portal.service'
	[radius]='hades-radius.service'
)

for service in ${SERVICES["${vrrp_instance}"]}; do
	/bin/systemctl is-active -q "${service}"
done
